Subject: Re: [PATCH v2 1/3] gnu: python-pygame: Update to 2.1.2.

From: Adam Faiz <[email-masked]>
Date: Sat, 24 Dec 2022 07:43:06 +0800

On 12/24/22 07:20, Adam Faiz wrote:
> +               (("incdirs = \\[\\]") "incdirs = origincdirs")
> +               (("libdirs = \\[\\]") "libdirs = origlibdirs")))) 
I didn't do this kind of thing, because I didn't want to hardcode these. 
Most systems that pygame supports want to stay with the defaults.

>                    (substitute* "buildconfig/config_unix.py"
>                      (("localbase.d") "d"
>            #~(modify-phases %standard-phases
>              ;; Pass the dependencies to the configure script
>              ;; through environment variables.
>              (add-before 'build 'set-library-paths
>                (lambda _
>                  (setenv "LOCALBASE" " "))))))
I added this so that Guix as well as other systems can choose to pass 
the dependencies at the precise locations, otherwise it uses the 
defaults and doesn't affect those that use the defaults.

I hope this clarifies my understanding of this issue.
I like that Guix can provide patched and sometimes enhanced package 
sources while Guix-specific things stay in the build phases.